Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic.internal.io
Class BufferCache

    java.lang.Object
      org.infinispan.schematic.internal.io.BufferCache

    @NotThreadSafe
    public class BufferCache

extends Object

A cache of ByteBuffer, used in `BsonDataInput`.

Author:
  Randall Hauch (C) 2011 Red Hat Inc.

Field Summary
`static int` | `MAXIMUM_SIZE` The maximum number of bytes in each cached buffer.
`static int` | `MINIMUM_SIZE` The minimum number of bytes in each buffer.

Constructor Summary
`BufferCache()`

Method Summary
`void` | `checkin(ByteBuffer byteBuffer)`
`void` | `checkin(CharBuffer charBuffer)`
`ByteBuffer` | `getByteBuffer(int minimumSize)`
`CharBuffer` | `getCharBuffer(int minimumSize)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MINIMUM_SIZE

    public static final int MINIMUM_SIZE

  The minimum number of bytes in each buffer.

  See Also:
    Constant Field Values

### MAXIMUM_SIZE

    public static final int MAXIMUM_SIZE

  The maximum number of bytes in each cached buffer. If a buffer is too large, then using it and caching it in-memory will be too costly.

  See Also:
    Constant Field Values

Constructor Detail

### BufferCache

    public BufferCache()

Method Detail

### getByteBuffer

    public ByteBuffer getByteBuffer(int minimumSize)

### getCharBuffer

    public CharBuffer getCharBuffer(int minimumSize)

### checkin

    public void checkin(ByteBuffer byteBuffer)

### checkin

    public void checkin(CharBuffer charBuffer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.